Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.desktop
Class AboutPane

    java.lang.Object
      org.crosswire.bibledesktop.desktop.AboutPane

    public class AboutPane

extends Object

AboutPane is a window that contains various advanced user tools in one place.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: AboutPane.java,v 1.9 2005/03/06 20:21:36 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`private static String` | `ABOUT_OK`
`private static boolean` | `advanced`
`private JDialog` | `dlgMain`
`private JPanel` | `pnlMain`
`private static String` | `SPLASH_FONT`

Constructor Summary
`AboutPane(Desktop desktop)` Basic constructor

Method Summary
`void` | `doAboutOK()` Close this dialog
`private void` | `init(Desktop desktop)` Build the GUI components
`static boolean` | `isAdvanced()`
`static void` | `setAdvanced(boolean advanced)`
`void` | `showInDialog(Component parent)` A method to be exposed by our children

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPLASH_FONT

    private static final String SPLASH_FONT

See Also:
  Constant Field Values

### ABOUT_OK

    private static final String ABOUT_OK

See Also:
  Constant Field Values

### advanced

    private static boolean advanced

### dlgMain

    private JDialog dlgMain

### pnlMain

    private JPanel pnlMain

Constructor Detail

### AboutPane

    public AboutPane(Desktop desktop)

  Basic constructor

Method Detail

### init

    private void init(Desktop desktop)

  Build the GUI components

### doAboutOK

    public void doAboutOK()

  Close this dialog

### showInDialog

    public void showInDialog(Component parent)

  A method to be exposed by our children

  Parameters:
    `parent` - The component to which to attach the new dialog

### isAdvanced

    public static boolean isAdvanced()

  Returns:
    Returns whether the window should show an advanced view.

### setAdvanced

    public static void setAdvanced(boolean advanced)

  Parameters:
    `advanced` - Turn on an advanced view of the window.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD